[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TAbstractTranslator.TranslateStringProperty

Specifies a method used to translate a String property.

## Declaration

Source position: lresources.pp line 107

`public procedure TAbstractTranslator.TranslateStringProperty(`
`Sender: TObject;`
`const Instance: TPersistent;`
`PropInfo: PPropInfo;`
`var Content: string`
`); virtual; abstract;`

## Arguments

`Sender` |  | Object for the event notification.
`Instance` |  | Persistent object with the property value translated in the method.
`PropInfo` |  | RTTI information for the property translated in the method.
`Content` |  | Variable parameter where the translated value for the property is returned.

## Description

TranslateStringProperty is an abstract virtual method which defines the method used to translate a String property in a persistent object instance. TranslateStringProperty must be implemented in a descendent class to perform the actions needed to retrieve and translate the specified property value.

The address for the method is assigned as the OnReadStringProperty event handler in TReader class instances.

## See also

TLRSObjectReader |  | Reader for resource streams.
TReader
TFiler